Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.routing
Class AbstractCorrelationAggregator

    java.lang.Object
      org.mule.processor.AbstractInterceptingMessageProcessor
          org.mule.routing.AbstractAggregator
              org.mule.routing.AbstractCorrelationAggregator

All Implemented Interfaces:
  FlowConstructAware, MuleContextAware, Initialisable, InterceptingMessageProcessor, MessageProcessor, Aggregator, MessageSource

Direct Known Subclasses:
  BankQuotesInboundAggregator

    public abstract class AbstractCorrelationAggregator

extends AbstractAggregator

`AbstractCorrelationAggregatingMessageProcessor` uses the CorrelationID and CorrelationGroupSize properties of the `MuleMessage` to manage message groups.

Field Summary

Fields inherited from class org.mule.routing.AbstractAggregator
`eventCorrelator, flowConstruct, messageInfoMapping, muleContext`

Fields inherited from class org.mule.processor.AbstractInterceptingMessageProcessor
`logger, next, notificationHandler`

Fields inherited from interface org.mule.api.lifecycle.Initialisable
`PHASE_NAME`

Constructor Summary
`AbstractCorrelationAggregator()`

Method Summary
`protected abstract MuleEvent` | `aggregateEvents(EventGroup events)`
`protected EventCorrelatorCallback` | `getCorrelatorCallback(MuleContext muleContext)`

Methods inherited from class org.mule.routing.AbstractAggregator
`expireAggregation, getTimeout, initialise, isFailOnTimeout, process, setFailOnTimeout, setFlowConstruct, setMessageInfoMapping, setMuleContext, setTimeout`

Methods inherited from class org.mule.processor.AbstractInterceptingMessageProcessor
`fireNotification, getMuleContext, processNext, setListener, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AbstractCorrelationAggregator

    public AbstractCorrelationAggregator()

Method Detail

### getCorrelatorCallback

    protected EventCorrelatorCallback getCorrelatorCallback(MuleContext muleContext)

  Specified by:
    `getCorrelatorCallback` in class `AbstractAggregator`

### aggregateEvents

    protected abstract MuleEvent aggregateEvents(EventGroup events)
                                          throws AggregationException

  Throws:
    `AggregationException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2010 MuleSoft, Inc.. All Rights Reserved.